Documentation

Bulk Call

Run outbound call campaigns with an agent and a list of contacts. Control concurrency and track progress.

Create a campaign

cURL
curl -X POST "https://bkbharatai.blutec.ai/api/bulk-call/create" \
  -H "Authorization: Bearer your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Q1 Outreach",
    "agent_id": "ag_123",
    "from_number_id": "pn_123",
    "contacts": [
      {"phone": "+1234567890", "name": "Lead 1"},
      {"phone": "+1987654321", "name": "Lead 2"}
    ],
    "concurrent_calls": 2
  }'

List and get campaigns

cURL
# List campaigns
curl -X GET "https://bkbharatai.blutec.ai/api/bulk-call" \
  -H "Authorization: Bearer your_api_key"

# Get campaign status
curl -X GET "https://bkbharatai.blutec.ai/api/bulk-call/CAMPAIGN_ID" \
  -H "Authorization: Bearer your_api_key"

Related